Package org.snpeff.collections

# Class AutoHashMap<K,V>

java.lang.Object
java.util.AbstractMap<K,V>
java.util.HashMap<K,V>
org.snpeff.collections.AutoHashMap<K,V>

Type Parameters:
  `K` -
  `V` -

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Map<K,V>`

Direct Known Subclasses:
  `CoverageByType`

public class AutoHashMap<K,V> extends HashMap<K,V>
A Hash that creates new elements if they don't exists

Author:
  pcingola
See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

## Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K,V>`

## Constructor Summary

Constructors
Constructor
Description
`AutoHashMap(V instance)`

## Method Summary

Modifier and Type
Method
Description
`V`
`getOrCreate(K key)`

### Methods inherited from class java.util.HashMap

`clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, newHashMap, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

### Methods inherited from class java.util.AbstractMap

`equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`equals, hashCode`

## Constructor Details

### AutoHashMap

public AutoHashMap(V instance)

## Method Details

### getOrCreate

public V getOrCreate(K key)